Bug 493840 - S-c-tools cleanup: inputs checking
S-c-tools cleanup: inputs checking
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: system-config-vsftpd (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Maros Barabas
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks: 493613
  Show dependency treegraph
 
Reported: 2009-04-03 06:00 EDT by Roman Rakus
Modified: 2014-01-12 19:15 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Check inputs (2.87 KB, patch)
2009-05-26 06:52 EDT, Roman Rakus
no flags Details | Diff

  None (edit)
Description Roman Rakus 2009-04-03 06:00:02 EDT
Description of problem:
Every input should be tested and/or filtered.

How reproducible:
Network Options

Steps to Reproduce:
Do something without sense. For example fill IP address field with zywe

Actual results:
Tool will not notify user, that he write it wrong.

Expected results:
In some cases you can filter input (appropriate settings on widget). Notify user about his mistake and don't let tool to traceback.

Additional info:
You can set appropriate settings. You can use signal changed and/or focus-out for text fields.
Comment 1 Roman Rakus 2009-05-25 10:02:41 EDT
I will take care of this one
Comment 2 Roman Rakus 2009-05-26 06:52:07 EDT
Created attachment 345438 [details]
Check inputs

This patch sets by default every spin button to be only numeric. In umask fields are allowd only octal numbers.

Note You need to log in before you can comment on or make changes to this bug.